package cn.quantgroup.customer.enums;

/**
 * @author Wang Xiangwei
 * @version 2020/3/16
 */

public enum UserRepayType {
    EXTRA_FEE("额外费用，收和保费"),
    COMMON("普通还款"),
    PART_REPAY("部分还款"),
    WX_REPAY("微信还款"),
    WX_PROXY_REPAY("微信代还"),
    FUND_REPAY("资金方还款"),
    FUND_WITHHOLD("资金方代扣"),
    SELF_WITHHOLD("我方发起代扣"),
    SETTLE_REPAY("提前结清"),
    OFFLINE_REPAY("支付宝线下还款"),
    CHANNEL_REPAY_AFTER_COMPENSATION("渠道代偿后还款"),
    OFFLINE_REPAY_NEW("线下还款")
    ;
    private String desc;

    UserRepayType(String desc) {
        this.desc = desc;
    }

    public String getDesc(){
        return desc;
    }
}


